This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181035 - Review Request: luks-tools
Review Request: luks-tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 166035
  Show dependency treegraph
 
Reported: 2006-02-11 18:14 EST by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 18:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Make luks-setup build clean on FC5 (870 bytes, text/x-patch)
2006-06-08 13:25 EDT, David Hollis
no flags Details

  None (edit)
Description W. Michael Petullo 2006-02-11 18:14:34 EST
Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.8-1.src.rpm
Description:
The luks-tools package contains various utilities for working with
LUKS-protected filesystems. HAL uses these utilities to automatically
mount encrypted volumes when they are attached to a system, provided
the user can produce the correct passphrase. These utilities are
written as separate programs to allow MAC systems like SELinux to
have fine-grained control over them.
Comment 1 Jochen Schmitt 2006-02-16 11:56:28 EST
Local build failed:

checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking whether make sets $(MAKE)... (cached) yes
checking whether ln -s works... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for _LARGE_FILES value needed for large files... no
checking for pkg-config... /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0... yes (version 2.7.4)
checking for cryptsetup... no
configure: error: cryptsetup executable not found in your path
Fehler: Bad exit status from /var/tmp/rpm-tmp.78258 (%build)


RPM build errors:
    InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID cb278bd5
    user mike does not exist - using root
    group mike does not exist - using root
    user mike does not exist - using root
    group mike does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.78258 (%build)
                                     
Comment 2 W. Michael Petullo 2006-02-16 17:19:51 EST
Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.8-2.src.rpm
Comment 3 David Hollis 2006-06-08 13:25:16 EDT
Created attachment 130765 [details]
Make luks-setup build clean on FC5

The attached patch adds a BuildRequires on check-devel and adds /sbin:/usr/sbin
to the path to the call to %configure so that it picks up cryptsetup and other
tools that it uses.
Comment 4 W. Michael Petullo 2006-08-06 12:57:33 EDT
Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.9-2.src.rpm
Comment 5 Kevin Fenzi 2006-09-02 16:26:44 EDT
Hey Jochen. You moved this to FE-REVIEW, but didn't assign it to yourself. 
I am doing that now. If you are not going to review this, go ahead and reassign 
to nobody@fedoraproject.org and set it back to block FE-NEW. 
Comment 6 Jochen Schmitt 2006-09-04 12:34:22 EDT
I will got the following complaint:

Source luks-tools-0.0.9.tar.gz is different from upstream
Comment 7 W. Michael Petullo 2006-09-04 13:18:25 EDT
Luks-tools 0.0.10 is synchronized with the upstream version:

Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.10-1.src.rpm
Comment 8 Jochen Schmitt 2006-09-07 12:06:59 EDT
Good:
+ Source match with upstream.
+ Mock build works fine.


Bad:
- Rpmlint complaints luks-tools
W: luks-tools non-executable-in-bin /usr/bin/gnome-luks-format.pyo 0644
W: luks-tools non-executable-in-bin /usr/bin/gnome-luks-format.pyc 0644
Comment 9 W. Michael Petullo 2006-09-07 18:05:00 EDT
Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.10-2.src.rpm
Comment 10 Jochen Schmitt 2006-09-10 15:59:34 EDT
Bad:

- rpmlint luks-tools complaints:
$ rpmlint luks-tools-0.0.10-2.i386.rpm
W: luks-tools non-executable-in-bin /usr/bin/gnome-luks-format.pyo 0644
W: luks-tools non-executable-in-bin /usr/bin/gnome-luks-format.pyc 0644
Comment 11 W. Michael Petullo 2006-09-10 17:16:53 EDT
Okay, I was not familiar with brp-python-bytecompile.

Spec Name or Url: http://www.flyn.org/SRPMS/luks-tools.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/luks-tools-0.0.11-1.src.rpm
Comment 12 Jochen Schmitt 2006-09-13 13:52:41 EDT
Good:
+ Local build works fine for FC-5.
+ Rpmlint has no complaints for binary rpm.
+ Rpmlint has no complaints for installed rpm.
+ Tar ball matched with upstream.
+ Binaries doesn't crash during startup.
+ Verbatin copy of license in %doc
+ License is GPLv2
+ Mock build works fine for FC-5

Your package is APPOVED !!1

Note You need to log in before you can comment on or make changes to this bug.